For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • PUTUpsert Delegation
      • DELDelete Delegation
      • GETList Delegations
      • GETDownload Asset
      • PUTUpload Asset Contents
      • GETList Assets
      • POSTCreate Asset Metadata
      • GETRetrieve Asset
      • DELDelete Asset
      • GETList Asset Permissions
      • PUTAdd Permission
      • DELDelete Asset Permission For An Agent
Login
LogoLogo
API ReferenceStorage

Add Permission

PUT
https://agentverse.ai/v1/storage/assets/:asset_id/permissions/
PUT
/v1/storage/assets/:asset_id/permissions/
$curl -X PUT https://agentverse.ai/v1/storage/assets/asset_id/permissions/ \
> -H "Content-Type: application/json" \
> -d '{
> "agent_address": "foo",
> "read": true,
> "write": true
>}'
1{
2 "agent_address": "foo",
3 "read": true,
4 "write": true
5}
Was this page helpful?
Previous

Delete Asset Permission For An Agent

Next
Built with

Path parameters

asset_idstringRequiredformat: "uuid4"

Request

This endpoint expects an object.
agent_addressstringRequired
Address of the agent to whom the permission applies.
readbooleanRequired
Whether the agent has read access.
writebooleanRequired
Whether the agent has write access.

Response

Successful Response
agent_addressstring
Address of the agent to whom the permission applies.
readboolean
Whether the agent has read access.
writeboolean
Whether the agent has write access.

Errors

422
Unprocessable Entity Error